[
  {
    "_id": {
      "$oid": "691162b5c014b239e34c38c6"
    },
    "res_model_id": 1,
    "constraint_code": "SUB S25 NO OPS",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "A",
    "match_dest_code": "SUB",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "S",
    "match_aircraft_type": "77P",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2024-10-28T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2025-10-28T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2025-03-27T19:37:00Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "SUB W24/S25 PAX APPROVE FOR A330 & 32Q ONLY,  OTHER TYPE REQUIRE LIASE CGK-ASD REQUEST NEW FA 3 CALENDAR DAYS PRIOR DEP",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c389c"
    },
    "res_model_id": 1,
    "constraint_code": "KHH CHK",
    "match_orig_code_indicator": "A",
    "match_orig_code": "KHH",
    "match_dest_code_indicator": "A",
    "match_dest_code": "*",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "A",
    "match_aircraft_type": "77W",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "1970-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2024-10-08T02:30:24Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "PRIOR CHK REQD FOR ENG SUPPORT & SLOT/PARKING BAY AVAILABILITY FOR AD-HOC UPGRADE A359/A351/B77W/B773",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c3875"
    },
    "res_model_id": 1,
    "constraint_code": "CAN ENG SUPPORT",
    "match_orig_code_indicator": "A",
    "match_orig_code": "CAN",
    "match_dest_code_indicator": "A",
    "match_dest_code": "*",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "A",
    "match_aircraft_type": "77W",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "A",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2021-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:16Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "A321NEO/A330 ONLY",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c38ba"
    },
    "res_model_id": 1,
    "constraint_code": "TAO ENG SUPPORT",
    "match_orig_code_indicator": "A",
    "match_orig_code": "TAO",
    "match_dest_code_indicator": "A",
    "match_dest_code": "*",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "A",
    "match_aircraft_type": "74Y",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "A",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2021-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:18Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "A321NEO/A330 ONLY",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c38a0"
    },
    "res_model_id": 1,
    "constraint_code": "APPROVAL -MY",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "C",
    "match_dest_code": "MY",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "S",
    "match_aircraft_type": "*",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 0,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2024-04-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "R",
    "description": null,
    "last_update": {
      "$date": "2024-04-16T08:59:34Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "PENDING MALAYSIA APPROVAL",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "Y",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c3890"
    },
    "res_model_id": 1,
    "constraint_code": "APU",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "A",
    "match_dest_code": "MAD",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "S",
    "match_aircraft_type": "*",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 0,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2014-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "S",
    "required_or_forbidden": "R",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:17Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "- APU INOP (LESS PREFERRED DUE STATION GND EQUIPMENT/POLAR OPS)",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "Y",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c38c7"
    },
    "res_model_id": 1,
    "constraint_code": "SUB S25 NO OPS",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "A",
    "match_dest_code": "SUB",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "S",
    "match_aircraft_type": "32Q",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2024-10-28T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2025-10-28T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2025-03-27T19:37:00Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "SUB W24/S25 PAX APPROVE FOR A330 & 32Q ONLY,  OTHER TYPE REQUIRE LIASE CGK-ASD REQUEST NEW FA 3 CALENDAR DAYS PRIOR DEP",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c386d"
    },
    "res_model_id": 1,
    "constraint_code": "FOC ENG SUPPORT",
    "match_orig_code_indicator": "A",
    "match_orig_code": "FOC",
    "match_dest_code_indicator": "A",
    "match_dest_code": "*",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "A",
    "match_aircraft_type": "77W",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "A",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2021-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:18Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "NIL FOR A350/B773ER/B74Y/B74N",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c389e"
    },
    "res_model_id": 1,
    "constraint_code": "PUS CURFEW",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "A",
    "match_dest_code": "PUS",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 0,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "S",
    "match_aircraft_type": "*",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 0,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 1380,
    "arr_time_range_to_lt": 360,
    "effective_date": {
      "$date": "2014-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:17Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "1400-2100U (2300-0600L)",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "Y",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c3878"
    },
    "res_model_id": 1,
    "constraint_code": "CAN ENG SUPPORT",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "A",
    "match_dest_code": "CAN",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "A",
    "match_aircraft_type": "351",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "A",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2021-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:18Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "A321NEO/A330 ONLY",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c38b7"
    },
    "res_model_id": 1,
    "constraint_code": "CGK W24 NO OPS",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "A",
    "match_dest_code": "CGK",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "A",
    "match_aircraft_type": "77W",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2024-10-28T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2025-03-29T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2024-10-21T04:11:39Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "CGK W24 PAX APPROVE FOR A330 ONLY,  OTHER TYPE REQUIRE LIASE CGK-ASD REQUEST NEW FA 3 DAYS PRIOR DEP  (REFER SIE FOR EXCEPTION DAY)",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c38a1"
    },
    "res_model_id": 1,
    "constraint_code": "GDL_RWY",
    "match_orig_code_indicator": "A",
    "match_orig_code": "GDL",
    "match_dest_code_indicator": "A",
    "match_dest_code": "*",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "S",
    "match_aircraft_type": "*",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 0,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 690,
    "dep_time_range_to_lt": 1040,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2024-10-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2024-10-31T00:00:00Z"
    },
    "days_of_operation": "------7",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2024-10-04T03:01:57Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "PLS CHECK PAYLOAD IMPACT AS LONG RWY 11R/29L USE AS TWY ONLY- D1(1730-2230Z) // D2/5/6 (1730-0050Z) // D3 (1900-0050Z) // D7(1730-2320Z)",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c387f"
    },
    "res_model_id": 1,
    "constraint_code": "CEB NO B747-8F",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "A",
    "match_dest_code": "CEB",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "S",
    "match_aircraft_type": "74N",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2014-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:17Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "AD NOT APPROVED EXCEPT EMERG",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c38c3"
    },
    "res_model_id": 1,
    "constraint_code": "DPS W24 NO OPS",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "A",
    "match_dest_code": "DPS",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "S",
    "match_aircraft_type": "32Q",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2024-10-28T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2025-03-29T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2024-10-21T04:37:11Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "DPS W24 PAX APPROVE FOR A330; 35G; 77P (ON SPEICIFC DATE, REFER TABLEAU) OTHER TYPE REQUIRE LIASE CGK-ASD REQUEST NEW FA 3 DAY PRIOR DEP",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c3873"
    },
    "res_model_id": 1,
    "constraint_code": "CAN ENG SUPPORT",
    "match_orig_code_indicator": "A",
    "match_orig_code": "CAN",
    "match_dest_code_indicator": "A",
    "match_dest_code": "*",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "A",
    "match_aircraft_type": "359",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "A",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2021-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:16Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "A321NEO/A330 ONLY",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c3896"
    },
    "res_model_id": 1,
    "constraint_code": "GDL_RWY",
    "match_orig_code_indicator": "A",
    "match_orig_code": "GDL",
    "match_dest_code_indicator": "A",
    "match_dest_code": "*",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "S",
    "match_aircraft_type": "*",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 0,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 780,
    "dep_time_range_to_lt": 1130,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2024-10-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2024-10-31T00:00:00Z"
    },
    "days_of_operation": "--3----",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2024-10-04T03:01:57Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "PLS CHECK PAYLOAD IMPACT AS LONG RWY 11R/29L USE AS TWY ONLY- D1(1730-2230Z) // D2/5/6 (1730-0050Z) // D3 (1900-0050Z) // D7(1730-2320Z)",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c3869"
    },
    "res_model_id": 1,
    "constraint_code": "FOC ENG SUPPORT",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "A",
    "match_dest_code": "FOC",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "A",
    "match_aircraft_type": "74Y",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "A",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2021-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:18Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "NIL FOR A350/B773ER/B74Y/B74N",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c386e"
    },
    "res_model_id": 1,
    "constraint_code": "APU",
    "match_orig_code_indicator": "A",
    "match_orig_code": "PDX",
    "match_dest_code_indicator": "A",
    "match_dest_code": "*",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "S",
    "match_aircraft_type": "*",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 0,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2016-11-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "W",
    "required_or_forbidden": "R",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:17Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "- APU INOP (LESS PREFERRED DUE STATION GND EQUIPMENT/POLAR OPS)",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "Y",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c387d"
    },
    "res_model_id": 1,
    "constraint_code": "CEB ENG SUPPORT",
    "match_orig_code_indicator": "A",
    "match_orig_code": "*",
    "match_dest_code_indicator": "A",
    "match_dest_code": "CEB",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "A",
    "match_aircraft_type": "74Y",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "A",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "2014-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2022-03-02T10:37:15Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "PN FOR B744F TO CEB/MNL",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  },
  {
    "_id": {
      "$oid": "691162b5c014b239e34c38a2"
    },
    "res_model_id": 1,
    "constraint_code": "KHH CHK",
    "match_orig_code_indicator": "A",
    "match_orig_code": "KHH",
    "match_dest_code_indicator": "A",
    "match_dest_code": "*",
    "match_blocktime_from": 0,
    "match_blocktime_to": 1439,
    "match_flight_carrier": "*",
    "match_flight_number_from": 1,
    "match_flight_number_to": 9999,
    "match_aircraft_owner": "*",
    "match_type_indicator": "A",
    "match_aircraft_type": "351",
    "match_configuration_code": "*",
    "flight_carrier": "*",
    "flight_number_from": 1,
    "flight_number_to": 9999,
    "aircraft_owner": "*",
    "type_indicator": "S",
    "aircraft_type": "*",
    "configuration_code": "*",
    "service_type": "*",
    "dep_time_range_from_lt": 0,
    "dep_time_range_to_lt": 1439,
    "arr_time_range_from_lt": 0,
    "arr_time_range_to_lt": 1439,
    "effective_date": {
      "$date": "1970-01-01T00:00:00Z"
    },
    "discontinue_date": {
      "$date": "2035-12-31T00:00:00Z"
    },
    "days_of_operation": "1234567",
    "season_indicator": "*",
    "required_or_forbidden": "F",
    "description": null,
    "last_update": {
      "$date": "2024-10-08T02:30:24Z"
    },
    "blocktime_from": 0,
    "blocktime_to": 1439,
    "external_id": "*",
    "match_dep_time_range_from_lt": 0,
    "match_dep_time_range_to_lt": 1439,
    "match_arr_time_range_from_lt": 0,
    "match_arr_time_range_to_lt": 1439,
    "constraint_code_info": {
      "description": "PRIOR CHK REQD FOR ENG SUPPORT & SLOT/PARKING BAY AVAILABILITY FOR AD-HOC UPGRADE A359/A351/B77W/B773",
      "usage": "R",
      "editable": "Y",
      "ac_restriction_related": "N",
      "aircraft_label_letter": null,
      "valid_for_system": "OS",
      "valid_for_ac_owner": "*",
      "valid_for_ac_subtypes": "*",
      "telex_relevant": "N",
      "ground_handling_relevant": "N",
      "message": null
    }
  }
]